For the complete documentation index, see llms.txt. This page is also available as Markdown.

TSQ

The "TSQ" (Transaction Status Query) endpoint allows customers to check the status of a previous Vend transaction.

POST /api/bills/v1/TSQ

To query a transaction's status, you need to provide the transactionReference of the original Vend request.

Headers

Name
Value

Content-Type*

application/json

Authorization*

Bearer

Request-Reference

{unique_reference}

Body

Name
Data Type (Length)
Required
Description

transactionReference

string (50)

The paymentReference of the original Vend transaction being queried.

Here is an example request and response with a sample payload sent to the endpoint in Curl format.

Sample Request
curl --location -g '{{baseurl}}/api/bills/v1/TSQ' \
--header 'Authorization: bearer {token}' \
--header 'request-reference: {unique_reference}' \
--header 'Content-Type: application/json' \
--data '{
  "transactionReference": "STmAZ2zXM42wXI5yzKA0jTXPb7NMVE"
}'
Response: 200
{
  "data": {
    "tokenValue": null,
    "unitsType": "Kwh",
    "token": "53268833131286689562",
    "billerName": null,
    "paymentReference": "STmAZ2zXM42wXI5yzKA0jTXPb7NMVE",
    "transactionId": "231117000301_77",
    "vendStatus": "CONFIRMED",
    "narration": "Bill Purchase-IKEDC/IKEDC_PREPAID",
    "statusCode": null,
    "amount": 100000,
    "date": "2024-12-03T10:46:07.26",
    "tokenAmount": 0,
    "tokenUnits": 16.3,
    "tokenDaysLastVended": null,
    "packageName": "IKEDC_PREPAID",
    "paid": false,
    "kct1": null,
    "kct2": null,
    "walletBalance": 0,
    "convenienceFee": 0
  },
  "status": true,
  "message": "Request successful"
}

Last updated